Subject: use Form for user registration
Description

hi

since (i suppose) Form will be included in Core in 4.6
and since we really need a "core" fe-user registration ext: can we think about using Form to manage fe-users?

what do you think?

Related issues:
related to Core - Feature # 13229: tt_content.login.20 should be done with th... Accepted 2011-02-21

History
#1 - 2011-02-11 09:40 - Patrick Broens

The FORM project currently has its focus on replacing the current FORM cObj, sending mails and the form wizard. Although I see more possibilities for
this project, because it's also a FORM builder API, I will stick to the current goals. The current code first has to be stable before building other
applications with it. The reason why I started this project is because the wizard needed replacement. A fe-user-registration form does not need the
wizard.

I will defininately keep this in mind for the future.

There are more things which can use this project, like the "old" login form with the FORM cObj and the "old" search form.

#2 - 2011-04-13 09:59 - Patrick Broens
- Priority changed from Could have to Won't have this time

#3 - 2011-10-18 22:52 - Oliver Hader
- Tags set to FormWizard

#4 - 2011-10-18 22:55 - Oliver Hader
- Tracker changed from Story to Feature

#5 - 2011-10-18 22:55 - Oliver Hader
- Project changed from Form to Core

#6 - 2011-10-18 22:57 - Oliver Hader
- Category set to Form Wizard

#7 - 2011-10-18 23:55 - Oliver Hader
- Priority changed from Won't have this time to Could have
- Target version set to 4.7.0
- PHP Version set to 5.3
- TYPO3 Version set to 4.6

Might be a feature for TYPO3 4.7. I guess the rendering of this form needs to be adjusted then... Currently the scope is TypoScript to PHP and a nice
PHP API with some collections would be nice.

#8 - 2012-03-05 17:36 - Steffen Ritter
- Target version deleted (4.7.0)

#9 - 2013-07-13 13:11 - Felix Kopp
- TYPO3 Version changed from 4.6 to 6.2

Still valid and possible for 6.0+ versions

#10 - 2015-01-17 16:35 - Mathias Schreiber
- Target version set to 8

#11 - 2015-07-19 12:44 - Bjoern Jacob
- Category changed from Form Wizard to PRJ: Forms

#12 - 2015-07-20 17:24 - Bjoern Jacob
- Category changed from PRJ: Forms to Form Wizard
